%define _requires_exceptions libnspr4\\|libplc4\\|libplds4\\|libnss\\|libsmime3\\|libsoftokn\\|libssl3\\|libgtkembedmoz\\|libxpcom

%define build_with_firefox 1

# Build with mozilla instaed of firefox
%{?_with_mozilla: %global build_with_firefox 0}
%{?_without_mozilla: %global build_with_firefox 1}

Summary:        GNOME Web Browser
Name:           galeon
Version: 2.0.3
Release:        %mkrel 5
License:        GPL
Group:          Networking/WWW
Source:         http://prdownloads.sourceforge.net/galeon/%{name}-%{version}.tar.bz2
Source4:        %{name}_48.png
Source5:        %{name}_32.png
Source6:        %{name}_16.png
# (fc) 0.12.2 use indexhtml as default page
Patch0:		galeon-1.3.2-home.patch

URL:            http://galeon.sourceforge.net
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libglade2.0-devel
BuildRequires:	libgnome-desktop-2-devel
BuildRequires:  scrollkeeper
%if %{build_with_firefox}
BuildRequires: mozilla-firefox-devel 
%else
BuildRequires:	mozilla-devel 
%endif
BuildRequires:  perl-XML-Parser
BuildRequires: automake1.9
BuildRequires: intltool
BuildRequires: desktop-file-utils

%if %{build_with_firefox}
%define firefox_version %(rpm -q mozilla-firefox --queryformat %{VERSION})
Requires: %mklibname mozilla-firefox %{firefox_version}
%else
Requires:         mozilla = %(rpm -q mozilla --queryformat %{VERSION})
%endif
Requires(post):		scrollkeeper
Requires(postun):       scrollkeeper
Requires:	indexhtml
Requires:	yelp
Provides:       webclient
Conflicts:	mozilla < 1.4-1mdk

%description
GNOME Web browser based on Gecko (Mozilla rendering engine)

%prep
%setup -q
%patch0 -p1 -b .home

%build

%configure2_5x --disable-schemas-install --disable-nautilus-view \
%if %{build_with_firefox} && %mdkversion <= 200700
--with-mozilla=mozilla-firefox
%endif


%make

%install
rm -rf %buildroot

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std


mkdir -p  %buildroot{%{_menudir},%{_iconsdir},%{_liconsdir},%{_miconsdir}}
cat << EOF > %buildroot%{_menudir}/%{name}
?package(%{name}): \
	command="soundwrapper %{_bindir}/%{name}" \
	icon="%{name}.png" \
	needs="x11" \
	section="Internet/Web Browsers" \
	title="Galeon" \
	longtitle="GNOME Web Browser" \
	mimetypes="text/html" \
	accept_url="true" \
	multiple_files="false" \
	startup_notify="true" \
	xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-WebBrowsers" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

cp -f %{SOURCE4} %buildroot%{_liconsdir}/%{name}.png
cp -f %{SOURCE5} %buildroot%{_iconsdir}/%{name}.png
cp -f %{SOURCE6} %buildroot%{_miconsdir}/%{name}.png

%find_lang %{name} --with-gnome --all-name
for omf in %buildroot%_datadir/omf/%name/%name-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/%name-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%name.schemas > /dev/null
if [ "$1" = "2" ]; then
  update-alternatives --remove webclient-gnome %{_bindir}/galeon
  update-alternatives --remove webclient-kde %{_bindir}/galeon
fi
%{update_menus}

%preun
if [ "$1" = "0" ]; then
 GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%name.schemas > /dev/null
fi

%postun
%{clean_menus}
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%clean
rm -rf %buildroot

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README INSTALL TODO THANKS FAQ
%config(noreplace) %{_sysconfdir}/sound/events/*
%{_sysconfdir}/gconf/schemas/galeon.schemas
%{_bindir}/*
%{_libdir}/bonobo/servers/*
%{_datadir}/galeon
%{_datadir}/sounds/*
%{_datadir}/applications/*
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/pixmaps/*
%dir %{_datadir}/omf/%name
%{_datadir}/omf/%name/%name-C.omf
%{_mandir}/man1/*
%{_menudir}/*
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png


%changelog
* Fri Mar 23 2007 Frederic Crozat <fcrozat@mandriva.com> 2.0.3-5mdv2007.1
+ Revision: 148584
- Fix rebuild

* Fri Mar 23 2007 Götz Waschk <waschk@mandriva.org> 2.0.3-4mdv2007.1
+ Revision: 148368
- rebuild for new firefox

* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 2.0.3-3mdv2007.1
+ Revision: 126292
- rebuild for new firefox

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 2.0.3-2mdv2007.1
+ Revision: 106166
- rebuild

* Sat Dec 09 2006 Pascal Terjan <pterjan@mandriva.org> 2.0.3-1mdv2007.1
+ Revision: 94096
- 2.0.3 (unadvertized but out since Sep 18)

* Fri Dec 08 2006 Götz Waschk <waschk@mandriva.org> 2.0.2-2mdv2007.1
+ Revision: 92178
- new firefox

* Thu Nov 09 2006 Götz Waschk <waschk@mandriva.org> 2.0.2-1mdv2007.1
+ Revision: 79170
- Import galeon



* Thu Nov  9 2006 Gtz Waschk <waschk@mandriva.org> 2.0.2-1mdv2007.1
- unpack patch
- new version

* Mon Sep 18 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.1-8mdv2007.0
- Rebuild with latest firefox

* Thu Aug 03 2006 Götz Waschk <waschk@mandriva.org> 2.0.1-1mdv2007.0
- rebuild for new firefox

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.1-6mdv2007.0
- Rebuild with latest dbus

* Wed Jul 12 2006 Pascal Terjan <pterjan@mandriva.org> 2.0.1-5mdv2007.0
- xdg menu
- fix menu section

* Sat Jun 03 2006 Pascal Terjan <pterjan@mandriva.org> 2.0.1-4mdv2007.0
- rebuild for new firefox

* Wed May 03 2006 Götz Waschk <waschk@mandriva.org> 2.0.1-3mdk
- rebuild for new firefox

* Fri Apr 21 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.1-2mdk
- Rebuild with latest firefox

* Mon Feb 27 2006 Gtz Waschk <waschk@mandriva.org> 2.0.1-1mdk
- drop patch 1
- New release 2.0.1

* Fri Feb 03 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-5mdk
- rebuild for new mozilla-firefox

* Mon Jan 16 2006 Gtz Waschk <waschk@mandriva.org> 2.0.0-4mdk
- fix buildrequires

* Thu Jan 12 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.0-3mdk
- Patch1 (CVS): typeahead find toolbar (typeahead is broken with FF 1.5 otherwise) 

* Tue Jan 10 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.0-2mdk
- Rebuild with FF 1.5
- use mkrel
- replace hardcoded version of firefox with the one available at compile time

* Mon Nov 28 2005 Gtz Waschk <waschk@mandriva.org> 2.0.0-1mdk
- replace prereq
- drop patch 1
- New release 2.0.0

* Tue Oct 25 2005 Frederic Crozat <fcrozat@mandriva.com> 1.3.21-6mdk
- Rebuild with FF 1.0.7
- drop prereq

* Wed Sep 14 2005 Frederic Crozat <fcrozat@mandriva.com> 1.3.21-5mdk 
- Add requires_exception to prevent from asking mozilla

* Fri Jul 29 2005 Marcel Pol <mpol@mandriva.org> 1.3.21-4mdk
- requires yelp

* Fri Jul 29 2005 Frederic Crozat <fcrozat@mandriva.com> 1.3.21-3mdk 
- Rebuild with FF 1.0.6

* Wed May 25 2005 Frederic Crozat <fcrozat@mandriva.com> 1.3.21-2mdk 
- Rebuild with FF 1.0.4

* Mon May 23 2005 Gtz Waschk <waschk@mandriva.org> 1.3.21-1mdk
- drop merged patch 3
- rediff patch 1
- new source URL
- new version

* Tue Apr 19 2005 Gtz Waschk <waschk@mandriva.org> 1.3.20-2mdk
- fix buildrequires

* Tue Apr 19 2005 Frederic Crozat <fcrozat@mandriva.com> 1.3.20-1mdk 
- Release 1.3.20 (based on Gtz Waschk package)
- Regenerate patches 1, 3
- Remove patch 2 (merged upstream)

* Fri Apr 01 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.19-7mdk 
- Patch3: fix i18n init for windows name

* Thu Mar 24 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.19-6mdk 
- Rebuild for FF 1.0.2

* Sun Feb 27 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.3.19-5mdk
- really really disable nautilus extension

* Sat Feb 26 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.3.19-4mdk
- really disable nautilus extension

* Tue Feb 22 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.19-3mdk 
- Drop webclient-gnome/kde alternative

* Tue Feb 22 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.19-2mdk 
- Built with firefox by default now
- Disable nautilus view (view are deprecated now)
- Patch1: allow mozilla-firefox as product
- Patch2: fix typeahead when using firefox as backend

* Tue Jan 18 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.3.19-1mdk
- update file list
- New release 1.3.19

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.18-5mdk 
- Rebuild with latest howl

* Mon Dec 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.18-4mdk 
- Rebuild with mozilla 1.7.5

* Wed Dec  8 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.3.18-3mdk
- add schemas uninstallation
- fix buildrequires

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.3.18-2mdk
- fix omf file listing
- new galeon

* Wed Oct 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.18-1mdk
- New release 1.3.18

* Wed Aug 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.17-2mdk
- Rebuild with mozilla 1.7.2

* Mon Aug 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.17-1mdk
- Release 1.3.17 
- Remove patch 1 (no longer relevant, moved to mozilla package)
- Remove patch 2 (merged upstream)

* Tue Jul 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.16-1mdk
- New release 1.3.16
- Remove patches 2 & 3 (merged upstream)
- Patch2 (CVS): fix crash when loading some webpages

* Wed Jun 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.15-3mdk
- Patch3 (CVS): fix build for Mozilla 1.7 final
- Rebuild with Mozilla 1.7 final

* Fri Jun 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.15-2mdk
- Rebuild
- Add patch2 fix compile with gcc3.4.1

* Wed Jun  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.3.15-1mdk
- reenable libtoolize
- New release 1.3.15

* Wed Apr 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.14a-4mdk
- Rebuild for mozilla 1.7

* Thu Apr 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.14a-3mdk
- Fix BuildRequires again

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.14a-2mdk
- Fix BuildRequires

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.14a-1mdk
- Release 1.3.14a

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.14-1mdk
- Release 1.3.14 (from Gtz)
- fix build
- requires new glib
- drop patch 2

* Mon Mar 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.12-4mdk
- Update patch0 to workaround flash performance bug (Mdk bug #8325)

* Wed Mar 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.12-3mdk
- Update patch2 with fix for Mdk bug #8578 (type ahead find)


* Thu Feb 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.12-2mdk
- Patch2 (CVS): fix various bugs, including Mdk bug #8014

* Fri Jan 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.12-1mdk
- Release 1.3.12
- Remove the schema uninstallation, it always fails

* Mon Jan 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com 1.3.11a-4mdk
- Rebuild with mozilla 1.6

* Wed Dec 31 2003 Stefan van der Eijk <stefan@eijk.nu> 1.3.11a-3mdk
- put version on BuildRequires: intltool >= 0.28 (Charles A Edwards)

* Tue Dec 30 2003 Stefan van der Eijk <stefan@eijk.nu> 1.3.11a-2mdk
- BuildRequires

* Fri Dec 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.3.11a-1mdk
- fix libtool build
- drop patch 2
- new version

* Tue Dec 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.10-4mdk
- Rebuild for mozilla 1.5

* Fri Nov 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.10-3mdk
- Rebuild for mozilla 1.4.1

* Fri Nov 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.3.10-2mdk
- patch for new mozilla

* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.3.10-1mdk
- new version

* Wed Sep 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.8-1mdk
- Release 1.3.8
- Remove patches 5 & 6 (merged upstream)

* Wed Sep 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.7-3mdk
- Patch6 (CVS): a lot of crasher fixes

* Sat Aug  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.3.7-2mdk
- rebuild it for the new mozilla

* Wed Jul 23 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.7-1mdk
- Release 1.3.7

* Mon Jul 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.6-1mdk
- Release 1.3.6
- Remove patches 2, 3, 4 (merged upstream)

* Fri Jul  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.5-2mdk
- Rebuild for mozilla 1.4 final
- Patch4 (CVS): fix generated files rule
- Patch3 (CVS): fix build bustage
- Patch5: fix schema

* Tue Jun 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.5-1mdk
- Release 1.3.5
- Fix menu group (bug #3929)

* Tue May 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.4-2mdk
- Patch3 (CVS): mozilla 1.4 beta support

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.4-1mdk
- Release 1.3.4
- Remove patches 3, 4, 5, 6, 7 (merged upstream)

* Wed Apr  9 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.3-3mdk
- Patch7 (CVS): support for mozilla 1.4a

* Wed Mar 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.3-2mdk
- Patch3 (CVS): fix crash when opening javascript console
- Patch4 (CVS): don't write 'about:blank' in location entry
- Patch5 (CVS): fix crash when closing download manager (Mdk bug #2098)
- Patch6 : fix print color selection (Mdk bug #3197)

* Mon Mar 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.3-1mdk
- Release 1.3.3
- Remove patches 2 & 3 (merged upstream)
- Patch2 : remove debug messages

* Mon Mar  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.2-4mdk
- Update patch4 to fix Mdk bug #2176
- Update patch2 to add proxy configuration

* Fri Feb 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.2-3mdk
- Patch3 (CVS): fix build for mozilla 1.3 final branch

* Mon Feb 24 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.2-2mdk
- Patch2 (CVS): various CVS fixes, including fix for Mdk bug 1568

* Mon Feb 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.2-1mdk
- Release 1.3.2
- Regenerate patch 0

* Fri Feb 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.1-4.20020214.1mdk
- Snapshot of galeon 1.3.2 (for mozilla 1.3beta)

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.1-3mdk
- Recompiled against latest openssl
- Add yelp cache generation

* Tue Dec 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.1-2mdk
- Recompiled for mozilla 1.3alpha

* Tue Dec 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.1-1mdk
- Release 1.3.1
- Remove patch5 (merged upstream)

* Thu Dec  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.0-2mdk
- Rebuild against mozilla 1.2.1
- Remove patch4 (no longer needed)

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.0-1mdk
- Release 1.3.0
- Remove patch3 (merged upstream)
- Patch5 (CVS): fix mozilla 1.2 detection

* Fri Nov  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.6-2mdk
- Patch4: fix fullscreen mode with EHWM compliant WM

* Tue Oct  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.6-1mdk
- Release 1.2.6
- Remove patches 2, 4, 5, 6 & 7 (merged upstream)

* Thu Sep  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.5-8mdk
- Patch5 (CVS): fix crashes when closing exiting with more than one tab
- Patch6 (CVS): fix print preview with Mozilla 1.1
- Patch7 (CVS): fix helper application handling
- Add mimetype info in menu

* Wed Aug 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.5-7mdk
- Recompiled against mozilla 1.1 final
- Explicit conflicts with mozilla 1.1-0.something

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.5-6mdk
- Explicitly use gcc2 on ix86 only
- Fix typos in --with[out] gcc2 features
- Use gcc2-version script to get correct version. Aka. don't forcibly
  call gcc-2.96, by default, that's silly as not all ports use it

* Fri Aug  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.5-5mdk
- Update patch4 to really fix OMF files

* Thu Aug  1 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.5-4mdk
- Patch3: Fix g++ detection
- Patch4 (Rawhide): Fix OMF file to be DTD compliant
- Rebuild with gcc 2.96

* Wed Jul 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.5-3mdk
- Patch2 (CVS): Mozilla 1.1 support
- Recompiled against mozilla 1.1beta
- Update patch1 to remove the libc++mem.so hack

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.5-2mdk
- Automated rebuild with gcc3.2

* Tue Jun 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.5-1mdk
- Release 1.2.5
- Remove patch2 (merged upstream)
- Regenerate patch1 to use new mozilla directory

* Mon May 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-2mdk
- Update patch1 to use the same hack as moz 1.0rc2 with old plugins
- Patch2: fix compilation with gcc 3.1
- Recompiled with mozilla 1.0rc2 and gcc 3.1

* Mon Apr 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-1mdk
- Release 1.2.1

* Thu Apr 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-5mdk
- Always ship oaf file (fix galeon not reusing galeon instance)

* Tue Apr 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-4mdk
- Disable nautilus view (doesn't work well with GNOME 2)

* Tue Mar 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-3mdk
- Fix BuildRequires (needed for nautilus view)

* Thu Mar 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-2mdk
- Add support for Nautilus view

* Thu Feb 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-4mdk
- Use new icons (and provides also png)

* Wed Feb 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-3mdk
- Patch1: set MOZ_PLUGIN_PATH in start script (Thanks to Michael Reinsch)

* Tue Feb 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-2mdk
- Add alternatives for simplified menu

* Wed Feb  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-1mdk
- Release 1.0.3

* Fri Jan 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-3mdk
- Provides webclient

* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 1.0.2-2mdk
- BuildRequires

* Wed Jan  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2
- Use soundwrapper to prevent freeze with flash plugin

* Thu Dec  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1

* Wed Nov 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-2mdk
- Enforce dependency on mozilla version

* Mon Nov 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk
- Release 1.0

* Mon Nov 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.8-1mdk
- Release 0.12.8

* Mon Nov 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.7-1mdk
- Release 0.12.7
- Remove patch1 (merged upstream)

* Mon Oct 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.6-1mdk
- Release 0.12.6

* Wed Oct 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.5-1mdk
- Release 0.12.5
- Add omf support
- Patch1: fix location of galeon components

* Sun Oct 07 2001 Stefan van der Eijk <stefan@eijk.nu> 0.12.2-2mdk
- BuildRequires: popt-devel
- Remove obselete BuildRequires

* Thu Sep 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.2-1mdk
- Release 0.12.2
- Remove source 4 (merged upstream)

* Thu Sep 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.1-2mdk
- Remove dependency on gtm (not used by default
- Update translations

* Sun Sep 16 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.1-1mdk
- Release 0.12.1
- Recompiled against Mozilla 0.9.4

* Mon Aug 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-1mdk
- Release 0.12

* Mon Aug 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-0.pre3.1mdk
- Release 0.12pre3

* Mon Aug  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-0.pre1.1mdk
- Remove patch0 (merged upstream)

* Fri Aug  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.3-2mdk
- Patch0: fix build with Mozilla 0.9.3 (from GNOME CVS)
- Fix Build dependency
- Recompiled against mozilla 0.9.3

* Wed Jul 25 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.3-1mdk
- Release 0.11.3

* Mon Jul 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.2-1mdk
- Release 0.11.1

* Wed Jul  4 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.1-1mdk
- Release 0.11.1
- Remove patch0 (merged upstream)

* Mon Jul  2 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 0.11.0-4mdk
- ExcludeArch : ia64

* Mon Jul  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.0-3mdk
- Patch0: recompiled against mozilla 0.9.2

* Thu Jun 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.0-2mdk
- Rebuild mozilla database (to be sure galeon will run correctly)

* Mon Jun 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.0-1mdk
- Release 0.11.0

* Mon May 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.6-1mdk
- Release 0.10.6

* Wed May  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.5-1mdk
- Release 0.10.5

* Mon Apr 09 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.10.4-1mdk
- new version

* Mon Mar 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.2-1mdk
- Release 0.10.2

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.1-2mdk
- Add requires on gtm
- add more buildrequires 

* Tue Feb 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.1-1mdk
- Release 0.10.1

* Mon Feb 12 2001 Guillaume Rousse <g.rousse@mandrake-linux.com> 0.9-0.pre3.3mdk
- corrected versioning scheme again...
- used noreplace for config file

* Mon Feb 12 2001 Guillaume Rousse <g.rousse@mandrake-linux.com> 0.9pre3-2mdk
- changed versioning scheme
- corrected changelog

* Fri Feb 09 2001 Guillaume Rousse <g.rousse@mandrake-linux.com> 0.9-0.pre3.1mdk
- 0.9pre3

* Wed Jan 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-0.pre1.1mdk
- Pre-release 0.9pre1
- Compiled with mozilla 0.7
- Correct dependencies

* Fri Dec 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.8.3-1mdk
- new and shiny source.

* Thu Dec 14 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.8.2-1mdk
- new and shiny source.

* Fri Nov 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.8-1mdk
- new and shiny galeon.

* Tue Oct 17 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.7a-1mdk
- Merge specfile from Alexander Skwar <ASkwar@Linux-Mandrake.com>
- Release 0.7.7a - for Mozilla M18
- Disabled gcc-compatibility-hack (thanks to gcc 2.96?)

* Thu Oct 12 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.6-1mdk
- SRPM from Alexander Skwar <ASkwar@Linux-Mandrake.com> :
		- Build with --enable-gcc-compatibility-hack: Find will not work :-( 
		  Otherwise building will not work...
		- Quiet setup
		- New version
		- Used more macros in spec file
		- Explicetely set location of mozilla include files

* Thu Aug 31 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.2-2mdk
- Rebuild with new mozilla package

* Thu Aug 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.2-1mdk
- First mandrake package
